Skip to main content
GET
/
api
/
v1
/
local
/
session
/
{namespace}
/
{sessionId}
Get base session state
curl --request GET \
  --url https://api.coralcloud.ai/api/v1/local/session/{namespace}/{sessionId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "timestamp": "<string>",
  "namespace": "<string>",
  "status": {
    "type": "closing",
    "executionTime": "<string>",
    "closingTime": "<string>"
  },
  "annotations": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

namespace
string
required

The namespace of the session

sessionId
string
required

The sessionId of the session

Response

Success

The base state of a running session, without agent or threads

id
string
required

The unique identifier for this session

timestamp
string
required

The timestamp of when this state was generated

namespace
string
required

The namespace that this session resides in

status
closing · object
required
The session is closing and will soon be removed from memory.  The closing status can only be observed when 
the session has persistence configure in SessionRuntimeSettings. Note that there is no closed state for
sessions, as closed sessions are deleted from memory
annotations
LinkedHashMap<String,String> · object
required